> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Re-send an invite

> Re-sends a previously sent invite. Updates the `updated_at` and `invited_at` time.




## OpenAPI

````yaml post /v2/invites/{id}
openapi: 3.0.0
info:
  title: Invites API
  version: v2
  description: >
    Email or text users a URL connecting them to Link.


    1. Adjust the invite text or branding through [Invite
    settings](https://console.argyle.com/settings/invite-template) in Console.

    2. Send invites to users via email, SMS, or both.

    3. Re-send an invite if a user needs to [return to
    Link](/console/flows/email-sms-templates#reconnecting-existing-users), or
    lost their original invite.
servers: []
security:
  - basicAuth: []
paths:
  /v2/invites/{id}:
    post:
      summary: Re-send an invite
      description: >
        Re-sends a previously sent invite. Updates the `updated_at` and
        `invited_at` time.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
            format: uuid
          description: ID of the invite to be re-sent.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InviteObject'
              example:
                id: 0424137bc-edc5-35de-c1b5-1c3cddb4b227
                user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
                user_token: >-
                  bcJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjbGllbnRfaWEiOiIxNDRhMTRkNS04YzEzLTQzZGYtOTI4Ni01OWY4NjFkOWEyMDIiLCJleHAiOjE2ODc3OTMzODAsImZpZCI6IjUyYWM3ZFFiLTI1MzAtNGYyNy04NTZlLTkwOTk1ZDA4NWJkMCIsImlhdCI6MTY4Nzc4OTc4MCwiaXNzIjoiYXJneWxlLWNvcmUtYXV1aC1kZXYiLCJqdGkiOiI2ZWJiOGIxMS0wYzFjLTRiNjEtYmI5NS04ZGQ0YzA0OGQwNzUiLCJzdWIiOiIwMTg4ZjgxYy0zZTFkLTRlZDEtMjEyYy02NmE3YzE4YzVjYzMiLCJ1c2VyX2lkIjoiMDE4OGY4MWMtM2UxZC00ZWQxLTIxMmMtNjZhN2MxN2M1Y2MzIn0.TNiZojOiiXtPVamyCDjz4f2GwR4TA8x6JR3RwjTECjY
                email: sarah@email.com
                phone_number: 212-555-5555
                full_name: Sarah Longfield
                first_name: Sarah
                last_name: Longfield
                revoked_at: null
                status: sent
                group_id: d8a07e5b-13a3-11ef-af7e-c7eb00762562
                url: >-
                  https://verify.argyle.com/connect/0424137bc-edc5-35de-c1b5-1c3cddb4b227
                created_at: '2023-03-09T23:57:05.756Z'
                updated_at: '2023-03-09T23:57:05.756Z'
                invited_at: '2023-03-09T23:57:05.756Z'
                flow_id: 8DRRA4XC
                flow_items:
                  - item_000000001
                  - item_000000002
                reply_to:
                  - person1@email.com
                  - person2@email.com
                deliveries:
                  - id: d7c85e44-9729-11f0-b297-f3718e19503e
                    method: email
                    status: sent
                    sent_at: '2023-03-11T05:23:12.000Z'
                    updated_at: '2023-03-11T05:23:12.000Z'
                  - id: d7c85e44-9729-11f0-b297-f3718e19503e
                    method: email
                    status: sent
                    sent_at: '2023-03-09T23:57:24.000Z'
                    updated_at: '2023-03-09T23:57:24.000Z'
                invite_template_id: null
components:
  schemas:
    InviteObject:
      type: object
      example:
        id: 0424137bc-edc5-35de-c1b5-1c3cddb4b227
        user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
        user_token: >-
          bcJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjbGllbnRfaWEiOiIxNDRhMTRkNS04YzEzLTQzZGYtOTI4Ni01OWY4NjFkOWEyMDIiLCJleHAiOjE2ODc3OTMzODAsImZpZCI6IjUyYWM3ZFFiLTI1MzAtNGYyNy04NTZlLTkwOTk1ZDA4NWJkMCIsImlhdCI6MTY4Nzc4OTc4MCwiaXNzIjoiYXJneWxlLWNvcmUtYXV1aC1kZXYiLCJqdGkiOiI2ZWJiOGIxMS0wYzFjLTRiNjEtYmI5NS04ZGQ0YzA0OGQwNzUiLCJzdWIiOiIwMTg4ZjgxYy0zZTFkLTRlZDEtMjEyYy02NmE3YzE4YzVjYzMiLCJ1c2VyX2lkIjoiMDE4OGY4MWMtM2UxZC00ZWQxLTIxMmMtNjZhN2MxN2M1Y2MzIn0.TNiZojOiiXtPVamyCDjz4f2GwR4TA8x6JR3RwjTECjY
        email: sarah@email.com
        phone_number: 212-555-5555
        full_name: Sarah Longfield
        first_name: Sarah
        last_name: Longfield
        revoked_at: null
        status: sent
        group_id: d8a07e5b-13a3-11ef-af7e-c7eb00762562
        url: >-
          https://verify.argyle.com/connect/0424137bc-edc5-35de-c1b5-1c3cddb4b227
        created_at: '2023-03-09T23:57:05.756Z'
        updated_at: '2023-03-09T23:57:05.756Z'
        invited_at: '2023-03-09T23:57:05.756Z'
        flow_id: 8DRRA4XC
        flow_items:
          - item_000000001
          - item_000000002
        reply_to:
          - person1@email.com
          - person2@email.com
        deliveries:
          - id: d7c85e44-9729-11f0-b297-f3718e19503e
            method: email
            status: sent
            sent_at: '2023-03-09T23:57:24.000Z'
            updated_at: '2023-03-09T23:57:24.000Z'
        invite_template_id: null
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the invite.
          example: 0424137bc-edc5-35de-c1b5-1c3cddb4b227
        user:
          type: string
          format: uuid
          description: ID of the user.
          example: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
        user_token:
          type: string
          description: >
            [User token](/link/user-tokens) required to initialize embedded
            instances of Link for the user.


            **Warning:**

            This user token will expire after one hour. A new user token can be
            created at any time using the
            [/user-tokens](/api-reference/user-tokens#create) API endpoint.
          example: >-
            bcJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjbGllbnRfaWEiOiIxNDRhMTRkNS04YzEzLTQzZGYtOTI4Ni01OWY4NjFkOWEyMDIiLCJleHAiOjE2ODc3OTMzODAsImZpZCI6IjUyYWM3ZFFiLTI1MzAtNGYyNy04NTZlLTkwOTk1ZDA4NWJkMCIsImlhdCI6MTY4Nzc4OTc4MCwiaXNzIjoiYXJneWxlLWNvcmUtYXV1aC1kZXYiLCJqdGki2eJiZGI4YTExMS0wYzFjLTRiNjEtYmI5NS04ZGQ0YzA0OGQwNzUiLCJzdWIiOiIwMTg4ZjgxYy0zZTFkLTRlZDEtMjEyYy02NmB3YzE4YzVjYzMiLCJ1c2VyX2lkIjoiMDE4OGY4MWMtM2UxZC00ZWQxLTIxMmMtNjZhN2MxN2M1Y2MzIn0.TNiZojOiiXtPVamyCDjz4f2GwR4TA8x6JR3RwjTECjY
        email:
          type: string
          description: Email of the invite recipient.
          example: sarah@email.com
        phone_number:
          type: string
          description: Phone number of the invite recipient.
          example: 212-555-5555
        full_name:
          type: string
          deprecated: true
          description: Full name of the invite recipient.
          example: Sarah Longfield
        first_name:
          type: string
          description: First name of the invite recipient.
          example: Sarah
        last_name:
          type: string
          description: Last name of the invite recipient.
          example: Longfield
        revoked_at:
          type: string
          format: date-time
          nullable: true
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) when
            the invite was revoked.
          example: null
        status:
          type: string
          enum:
            - sent
            - initiated
            - attempted
            - completed
            - revoked
          description: >
            The invite's status.


            - `sent` — Invite sent successfully.

            - `initiated` — User clicked the invite URL and was successfully
            able to enter Link, but has not submitted login credentials,
            uploaded documents, or completed a response form.

            - `attempted` — User submitted login credentials through Link
            (creating a user ID), but no accounts were successfully connected.
            Also includes users who only submitted a response form.

            - `completed` — User successfully connected an account or uploaded a
            document.

            - `revoked` — The invite was
            [revoked](/api-reference/invites#revoke-invite). The user can no
            longer access Link via the invite URL.
        group_id:
          type: string
          format: uuid
          nullable: true
          description: >-
            ID of the [group](/console/management/groups) associated with the
            invite.
          example: d8a07e5b-13a3-11ef-af7e-c7eb00762562
        url:
          type: string
          description: URL included in the invite that connects the user to Link.
          example: >-
            https://verify.argyle.com/connect/0424137bc-edc5-35de-c1b5-1c3cddb4b227
        created_at:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) when
            the invite was created.
          example: '2023-03-09T23:57:05.756Z'
        updated_at:
          type: string
          format: date-time
          description: >
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) when
            the invite was updated.


            **Warning:**

            The timestamp is updated after re-sending or revoking an invite.
          example: '2023-03-09T23:57:05.756Z'
        invited_at:
          type: string
          format: date-time
          description: >
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) when
            the invite was sent.

            **Warning:**

            The timestamp is updated after re-sending or revoking an invite.
          example: '2023-03-09T23:57:05.756Z'
        flow_id:
          type: string
          nullable: true
          description: >-
            ID of the Flow specified via the `flow_id` parameter when sending
            the invite.
          example: 8DRRA4XC
        flow_items:
          type: array
          items:
            type: string
          nullable: true
          description: >-
            Any Items specified via the `flow_items` parameter when sending the
            invite.
          example:
            - item_000000001
            - item_000000002
        reply_to:
          type: array
          items:
            type: string
          nullable: true
          description: >
            Emails of your team members that will be notified when the user has
            connected their payroll account(s).


            Depending on the invite method, these emails are sourced from:


            1. If sending invites via the API, the `reply_to` parameter of the
            `override_invite_template` object.

            2. If sending invites [via
            Console](/console/flows/email-sms-templates#sending-invites), the
            Console member that sends the invite and any Cc'd members of your
            team.

            3. If sending invites via Argyle's POS & LOS integrations
            ([Encompass](/integrations/pos-los/encompass/payroll-verifications),
            [Empower](/integrations/pos-los/empower), or
            [nCino](/integrations/pos-los/ncino)), the email address of the Loan
            Officer sending the invite.

            4. If sending links to Argyle using [Shareable
            URLs](/console/flows/shareable-urls), any emails saved in the email
            notifications toggle of "General settings" of the associated
            [Shareable URL Flow](https://console.argyle.com/flows).

            5. If sending links to Argyle using [Shareable URLs with URL
            modifications](/console/flows/shareable-urls#url-modifications), the
            email overwrite specified at the end of the URL.
        deliveries:
          type: array
          description: >-
            Array of objects containing information about the delivery status of
            the invite.
          items:
            $ref: '#/components/schemas/InviteDelivery'
        invite_template_id:
          type: string
          format: uuid
          nullable: true
          deprecated: true
          description: >-
            (Deprecated) Customization ID.

            - Deprecated in favor of
            [`override_invite_template`](/api-reference/invites#send-override_invite_template).
          example: null
    InviteDelivery:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the invite delivery.
        method:
          type: string
          enum:
            - email
            - sms
          description: Invite delivery method.
        status:
          type: string
          enum:
            - sent
            - delivered
            - undelivered
            - opened
          description: Status of the invite delivery.
        sent_at:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) when
            the invite was sent.
        updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) when
            the delivery status was last updated.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````